import request from '@/utils/request'

// 查询质量月报S2011列表
export function listS2011(query) {
  return request({
    url: '/production/s2011/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报S2011详细
export function getS2011(id) {
  return request({
    url: '/production/s2011/' + id,
    method: 'get'
  })
}

// 新增质量月报S2011
export function addS2011(data) {
  return request({
    url: '/production/s2011',
    method: 'post',
    data: data
  })
}

// 修改质量月报S2011
export function updateS2011(data) {
  return request({
    url: '/production/s2011',
    method: 'put',
    data: data
  })
}

// 删除质量月报S2011
export function delS2011(id) {
  return request({
    url: '/production/s2011/' + id,
    method: 'delete'
  })
}

// 导出质量月报S2011
export function exportS2011(query) {
  return request({
    url: '/production/s2011/export',
    method: 'get',
    params: query
  })
}